import click
import subprocess
from amanita_cli.main import config_load

@click.command(help='Show current calls')
def cli():
    config = config_load()
    asterisk_binary = config['ASTERISK_BINARY']
    try:
        out = subprocess.check_output(' '.join(
            [asterisk_binary, '-rx', '"core show channels"']), shell=True)
        click.echo(out.decode())
    except subprocess.CalledProcessError as e:
        click.secho(e.output.decode(), bold=True, fg='red', bg='black')
