import click
import os
import yaml
from amanita_cli.main import config_load

@click.command('show', help='Show configuration. If name is given, show all '
                            'options mathing this name.')
@click.argument('name', required=False)
def cli(name=None):
    config = config_load()
    if not name:
        click.echo(yaml.dump(config))
    else:
        # Filter config to options like specified
        for o in config:
            if name in o:
                click.echo('{}: {}'.format(o, config[o]))

