import os
import click
import grp, pwd
import subprocess

@click.command('run', context_settings=dict(ignore_unknown_options=True))
@click.option('--init-base', required=False, is_flag=True)
@click.argument('params', nargs=-1, type=click.UNPROCESSED)
def cli(init_base, params):
    u_id = pwd.getpwnam(os.getenv('ODOO_SYSTEM_USER')).pw_uid
    g_id = grp.getgrnam(os.getenv('ODOO_SYSTEM_GROUP')).gr_gid
    os.setgid(g_id)
    os.setuid(u_id)
    os.chdir(os.path.join(os.getenv('AMANITA_PREFIX'), 'odoo'))
    odoo_path = subprocess.check_output(
                            'which odoo', shell=True).decode().strip('\n')
    click.echo('Using Odoo at {}'.format(odoo_path))
    run_params = [odoo_path, '-c', 'odoo.conf', '-d', os.getenv(
                                                    'ODOO_DB')] + list(params)
    if init_base:
        run_params += ['-i', 'base']
    os.execv(odoo_path, run_params)


