import click
from amanita_cli.main import install_playbook
import os

@click.command('download')
@click.option('--repo', envvar='AMANITA_ODOO_ADDONS_REPO')
@click.option('--branch', default='master')
@click.argument('name')
@click.pass_context
def cli(ctx, name, repo, branch):
    # When command is invoked from ctx envvar does not work. Bug?
    if not repo:
        repo = os.getenv('AMANITA_ODOO_ADDONS_REPO')
    os.environ['AMANITA_ADDONS_REPO'] = repo
    os.environ['AMANITA_ADDON_NAME'] = name
    os.environ['AMANITA_ADDON_BRANCH'] = branch
    install_playbook(os.path.join(os.path.dirname(__file__), '_download.yml'))
