import click
import xmlrpc.client
from amanita_cli.main import config_load


PROGRAM_TEMPLATE = """[program:{}]
command={}
redirect_stderr=true

"""

@click.command('apply')
def cli():
    config = config_load()
    enabled_services = config.get('SUPERVISOR_SERVICES', [])
    conf = ''
    for service in enabled_services:
        program = PROGRAM_TEMPLATE.format(service,
                                      'amanita {} run'.format(service))
        conf += program
    open('/etc/supervisor/conf.d/amanita.conf', 'w').write(conf)
    # Applt config
    s = xmlrpc.client.ServerProxy(config['SUPERVISOR_URI'])
    changes = s.supervisor.reloadConfig()[0]
    added, changed, removed = changes[0], changes[1], changes[2]
    for a in added:
        s.supervisor.addProcessGroup(a)
        s.supervisor.startProcessGroup(a)
    for r in removed:        
        s.supervisor.stopProcessGroup(r)
        s.supervisor.removeProcessGroup(r)
