import click
import sys
from amanita_cli.main import config_load, config_save
from amanita_cli.main import cli as main_cli

@click.command('enable', help='Enable supervisor service.')
@click.argument('service')
@click.option('--apply', is_flag=True, help='Apply configuration afer enabling.')
@click.pass_context
def cli(ctx, service, apply):
    config = config_load()
    enabled_services = config.get('SUPERVISOR_SERVICES', [])
    if service not in enabled_services:
        enabled_services.append(service)
        config['SUPERVISOR_SERVICES'] = enabled_services
        config_save(config)
        click.echo('Service enabled')
    else:
        click.echo('Service already enabled')
    if apply:
        g = main_cli.get_command(ctx, 'supervisor')
        c = g.get_command(ctx, 'apply')
        ctx.invoke(c)
