import click
import os
import xmlrpc.client


@click.command('log')
@click.option('-n', default=1000, type=int,
              help='Number of bytes to read from the end (default 1000 bytes).')
@click.option('-s', help='Service name to read log, if not specified '
                         'read supervisor daemon log.')
@click.pass_context
def cli(ctx, n, s):
    server = xmlrpc.client.ServerProxy(os.getenv('SUPERVISOR_URI'))
    if not s:
        click.echo(server.supervisor.readLog(-n, 0)) # TODO: Really last lines not like this
    else:
        # Get all process and check if requested process is there
        proc_info = server.supervisor.getAllProcessInfo()
        if not list(filter(lambda x: x['name'] == s, proc_info)):
            click.echo('Service {} not found, is it enabled?'.format(s))
            return
        log = server.supervisor.tailProcessStdoutLog(s, 0, n)[0]
        click.echo(log)